Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problem with Qt::Core
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
johan.lindgren
n00b
n00b


Joined: 17 Sep 2013
Posts: 2

PostPosted: Wed Oct 25, 2017 4:18 am    Post subject: Problem with Qt::Core Reply with quote

I am having problems recently compiling stuff that has to do with qt5 - Qt5::Core, that is.

I have seen several similar problems occur here and there on different forums and distros, so I cannot really see that it is gentoo specific, but I can be wrong for sure.

Does anyone have a clue??

This is the error that happens, which I have seen on several places elseware and no clue really why. The "file" it refers to looks only odd, as it for me looks like three QT variables put into one (double slashes):



Code:
...
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Enabling backend state machine validation.
CMake Error at /usr/lib64/cmake/Qt5Core/Qt5CoreConfig.cmake:27 (message):
  The imported target "Qt5::Core" references the file

     "/usr/lib64/qt5//mkspecs//usr/lib64/qt5/mkspecs/linux-g++"

  but this file does not exist.  Possible reasons include:

  * The file was deleted, renamed, or moved to another location.

  * An install or uninstall procedure did not complete successfully.

  * The installation package was faulty and contained

     "/usr/lib64/cmake/Qt5Core/Qt5CoreConfigExtras.cmake"

  but not all the files it references.



All the rest, when trying media-libs/phonon (not only phonon gives this though)





Code:

These are the packages that would be merged, in order:

Calculating dependencies  ... done!
[ebuild  N     ] media-libs/phonon-4.9.1-r1::gentoo  USE="pulseaudio qt4 qt5 vlc -debug -designer -gstreamer" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild  N     ] media-libs/phonon-vlc-0.9.1-r1::gentoo  USE="qt4 qt5 -debug" 0 KiB

Total: 2 packages (2 new), Size of downloads: 0 KiB


>>> Verifying ebuild manifests

>>> Emerging (1 of 2) media-libs/phonon-4.9.1-r1::gentoo
 * phonon-4.9.1.tar.xz SHA256 SHA512 WHIRLPOOL size ;-) ...              [ ok ]
>>> Unpacking source...
>>> Unpacking phonon-4.9.1.tar.xz to /var/tmp/portage/media-libs/phonon-4.9.1-r1/work
>>> Source unpacked in /var/tmp/portage/media-libs/phonon-4.9.1-r1/work
>>> Preparing source in /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1 ...
 * Applying phonon-4.7.0-plugin-install.patch ...
 [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1 ...
 * qt4: running myconfigure
 * abi_x86_32.x86: running multilib-minimal_abi_src_configure
>>> Working in BUILD_DIR: "/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_32.x86"
cmake -C /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_32.x86/gentoo_common_config.cmake -G Unix Makefiles -DCMAKE_INSTALL_PREFIX=/usr -DPHONON_BUILD_DESIGNER_PLUGIN=no -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=TRUE -DWITH_GLIB2=yes -DWITH_PulseAudio=yes -DWITH_QZeitgeist=OFF -DQT_QMAKE_EXECUTABLE=/usr/lib32/qt4/bin/qmake -DPHONON_BUILD_PHONON4QT5=OFF -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_32.x86/gentoo_rules.cmake -DCMAKE_TOOLCHAIN_FILE=/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_32.x86/gentoo_toolchain.cmake  /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1
loading initial cache file /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_32.x86/gentoo_common_config.cmake
-- The C compiler identification is GNU 5.4.0
-- The CXX compiler identification is GNU 5.4.0
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Enabling backend state machine validation.
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found
-- Found Qt4: /usr/lib32/qt4/bin/qmake (found suitable version "4.8.7", minimum required is "4.6.0")
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Using CMake automoc builtin
-- Found OpenGL: /usr/lib32/libGL.so 
-- Not Building graphicsview.
-- Found PkgConfig: i686-pc-linux-gnu-pkg-config (found version "0.28")
-- Checking for module 'glib-2.0'
--   Found glib-2.0, version 2.50.3
-- Found GLIB2: /usr/lib32/libglib-2.0.so
--
-----------------------------------------------------------------------------
-- The following external packages were located on your system.
-- This installation will have the extra features provided by these packages.
+ Qt4
+ OpenGL
+ Qt4 DBus
+ Qt4 Designer
+ Qt4 OpenGL
+ Qt4 Declarative
+ PulseAudio
+ GLib2
-----------------------------------------------------------------------------
-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
+ QZeitgeist, 0.8: Qt bindings for Zeitgeist <http://projects.kde.org/kdesupport/libqzeitgeist/>
-----------------------------------------------------------------------------

-- <<< Gentoo configuration >>>
Build type      Gentoo
Install path    /usr
Compiler flags:
C               -march=corei7 -O2 -pipe -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common
C++             -march=corei7 -O2 -pipe -Wnon-virtual-dtor -Wno-long-long -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fvisibility=hidden -Werror=return-type -fvisibility-inlines-hidden -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-check-new -fno-common
Linker flags:
Executable      -Wl,--enable-new-dtags -Wl,-O1 -Wl,--as-needed
Module          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,-O1 -Wl,--as-needed
Shared          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,-O1 -Wl,--as-needed

-- Configuring done
CMake Warning (dev) in phonon/CMakeLists.txt:
  Policy CMP0022 is not set: INTERFACE_LINK_LIBRARIES defines the link
  interface.  Run "cmake --help-policy CMP0022" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  Target "phonon" has an INTERFACE_LINK_LIBRARIES property which differs from
  its LINK_INTERFACE_LIBRARIES properties.

  INTERFACE_LINK_LIBRARIES:

    /usr/lib32/qt4/libQtCore.so;/usr/lib32/qt4/libQtGui.so;/usr/lib32/qt4/libQtDBus.so;/usr/lib64/libpulse.so;/usr/lib64/libpulse-mainloop-glib.so

  LINK_INTERFACE_LIBRARIES:

   

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) in phonon/experimental/CMakeLists.txt:
  Policy CMP0022 is not set: INTERFACE_LINK_LIBRARIES defines the link
  interface.  Run "cmake --help-policy CMP0022" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  Target "phononexperimental" has an INTERFACE_LINK_LIBRARIES property which
  differs from its LINK_INTERFACE_LIBRARIES properties.

  INTERFACE_LINK_LIBRARIES:

    /usr/lib32/qt4/libQtCore.so;/usr/lib32/qt4/libQtGui.so;phonon

  LINK_INTERFACE_LIBRARIES:

   

This warning is for project developers.  Use -Wno-dev to suppress it.

-- Generating done
-- Build files have been written to: /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_32.x86
 * abi_x86_64.amd64: running multilib-minimal_abi_src_configure
>>> Working in BUILD_DIR: "/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_64.amd64"
cmake -C /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_64.amd64/gentoo_common_config.cmake -G Unix Makefiles -DCMAKE_INSTALL_PREFIX=/usr -DPHONON_BUILD_DESIGNER_PLUGIN=no -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=TRUE -DWITH_GLIB2=yes -DWITH_PulseAudio=yes -DWITH_QZeitgeist=OFF -DQT_QMAKE_EXECUTABLE=/usr/lib64/qt4/bin/qmake -DPHONON_BUILD_PHONON4QT5=OFF -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_64.amd64/gentoo_rules.cmake -DCMAKE_TOOLCHAIN_FILE=/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_64.amd64/gentoo_toolchain.cmake  /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1
loading initial cache file /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_64.amd64/gentoo_common_config.cmake
-- The C compiler identification is GNU 5.4.0
-- The CXX compiler identification is GNU 5.4.0
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Enabling backend state machine validation.
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found
-- Found Qt4: /usr/lib64/qt4/bin/qmake (found suitable version "4.8.7", minimum required is "4.6.0")
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Using CMake automoc builtin
-- Found OpenGL: /usr/lib64/libGL.so 
-- Not Building graphicsview.
-- Found PkgConfig: x86_64-pc-linux-gnu-pkg-config (found version "0.28")
-- Checking for module 'glib-2.0'
--   Found glib-2.0, version 2.50.3
-- Found GLIB2: /usr/lib64/libglib-2.0.so
--
-----------------------------------------------------------------------------
-- The following external packages were located on your system.
-- This installation will have the extra features provided by these packages.
+ Qt4
+ OpenGL
+ Qt4 DBus
+ Qt4 Designer
+ Qt4 OpenGL
+ Qt4 Declarative
+ PulseAudio
+ GLib2
-----------------------------------------------------------------------------
-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
+ QZeitgeist, 0.8: Qt bindings for Zeitgeist <http://projects.kde.org/kdesupport/libqzeitgeist/>
-----------------------------------------------------------------------------

-- <<< Gentoo configuration >>>
Build type      Gentoo
Install path    /usr
Compiler flags:
C               -march=corei7 -O2 -pipe -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common
C++             -march=corei7 -O2 -pipe -Wnon-virtual-dtor -Wno-long-long -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fvisibility=hidden -Werror=return-type -fvisibility-inlines-hidden -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-check-new -fno-common
Linker flags:
Executable      -Wl,--enable-new-dtags -Wl,-O1 -Wl,--as-needed
Module          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,-O1 -Wl,--as-needed
Shared          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,-O1 -Wl,--as-needed

-- Configuring done
CMake Warning (dev) in phonon/CMakeLists.txt:
  Policy CMP0022 is not set: INTERFACE_LINK_LIBRARIES defines the link
  interface.  Run "cmake --help-policy CMP0022" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  Target "phonon" has an INTERFACE_LINK_LIBRARIES property which differs from
  its LINK_INTERFACE_LIBRARIES properties.

  INTERFACE_LINK_LIBRARIES:

    /usr/lib64/qt4/libQtCore.so;/usr/lib64/qt4/libQtGui.so;/usr/lib64/qt4/libQtDBus.so;/usr/lib64/libpulse.so;/usr/lib64/libpulse-mainloop-glib.so

  LINK_INTERFACE_LIBRARIES:

   

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) in phonon/experimental/CMakeLists.txt:
  Policy CMP0022 is not set: INTERFACE_LINK_LIBRARIES defines the link
  interface.  Run "cmake --help-policy CMP0022" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  Target "phononexperimental" has an INTERFACE_LINK_LIBRARIES property which
  differs from its LINK_INTERFACE_LIBRARIES properties.

  INTERFACE_LINK_LIBRARIES:

    /usr/lib64/qt4/libQtCore.so;/usr/lib64/qt4/libQtGui.so;phonon

  LINK_INTERFACE_LIBRARIES:

   

This warning is for project developers.  Use -Wno-dev to suppress it.

-- Generating done
-- Build files have been written to: /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_64.amd64
 * qt5: running myconfigure
>>> Working in BUILD_DIR: "/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt5"
cmake -C /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt5/gentoo_common_config.cmake -G Unix Makefiles -DCMAKE_INSTALL_PREFIX=/usr -DPHONON_BUILD_DESIGNER_PLUGIN=no -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=TRUE -DWITH_GLIB2=yes -DWITH_PulseAudio=yes -DWITH_QZeitgeist=OFF -DQT_QMAKE_EXECUTABLE=/usr/lib64/qt5/bin/qmake -DPHONON_BUILD_PHONON4QT5=ON -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt5/gentoo_rules.cmake -DCMAKE_TOOLCHAIN_FILE=/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt5/gentoo_toolchain.cmake  /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1
loading initial cache file /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt5/gentoo_common_config.cmake
-- The C compiler identification is GNU 5.4.0
-- The CXX compiler identification is GNU 5.4.0
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Enabling backend state machine validation.
CMake Error at /usr/lib64/cmake/Qt5Core/Qt5CoreConfig.cmake:27 (message):
  The imported target "Qt5::Core" references the file

     "/usr/lib64/qt5//mkspecs//usr/lib64/qt5/mkspecs/linux-g++"

  but this file does not exist.  Possible reasons include:

  * The file was deleted, renamed, or moved to another location.

  * An install or uninstall procedure did not complete successfully.

  * The installation package was faulty and contained

     "/usr/lib64/cmake/Qt5Core/Qt5CoreConfigExtras.cmake"

  but not all the files it references.

Call Stack (most recent call first):
  /usr/lib64/cmake/Qt5Core/Qt5CoreConfigExtras.cmake:50 (_qt5_Core_check_file_exists)
  /usr/lib64/cmake/Qt5Core/Qt5CoreConfig.cmake:158 (include)
  cmake/PhononQt5.cmake:28 (find_package)
  cmake/FindPhononInternal.cmake:107 (include)
  CMakeLists.txt:47 (include)


-- Configuring incomplete, errors occurred!
See also "/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt5/CMakeFiles/CMakeOutput.log".
 * ERROR: media-libs/phonon-4.9.1-r1::gentoo failed (configure phase):
 *   cmake failed
 *
 * Call stack:
 *     ebuild.sh, line  115:  Called src_configure
 *   environment, line 3787:  Called multibuild_foreach_variant 'myconfigure'
 *   environment, line 2694:  Called _multibuild_run 'myconfigure'
 *   environment, line 2692:  Called myconfigure
 *   environment, line 3783:  Called multilib_src_configure
 *   environment, line 3270:  Called cmake-utils_src_configure
 *   environment, line  985:  Called die
 * The specific snippet of code:
 *       "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
 *
 * If you need support, post the output of `emerge --info '=media-libs/phonon-4.9.1-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-libs/phonon-4.9.1-r1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/media-libs/phonon-4.9.1-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/phonon-4.9.1-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt5'
 * S: '/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1'

>>> Failed to emerge media-libs/phonon-4.9.1-r1, Log file:

>>>  '/var/tmp/portage/media-libs/phonon-4.9.1-r1/temp/build.log'

 * Messages for package media-libs/phonon-4.9.1-r1:

 * ERROR: media-libs/phonon-4.9.1-r1::gentoo failed (configure phase):
 *   cmake failed
 *
 * Call stack:
 *     ebuild.sh, line  115:  Called src_configure
 *   environment, line 3787:  Called multibuild_foreach_variant 'myconfigure'
 *   environment, line 2694:  Called _multibuild_run 'myconfigure'
 *   environment, line 2692:  Called myconfigure
 *   environment, line 3783:  Called multilib_src_configure
 *   environment, line 3270:  Called cmake-utils_src_configure
 *   environment, line  985:  Called die
 * The specific snippet of code:
 *       "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
 *
 * If you need support, post the output of `emerge --info '=media-libs/phonon-4.9.1-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-libs/phonon-4.9.1-r1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/media-libs/phonon-4.9.1-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/phonon-4.9.1-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt5'
 * S: '/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1'
Back to top
View user's profile Send private message
mir3x
Guru
Guru


Joined: 02 Jun 2012
Posts: 344

PostPosted: Wed Nov 01, 2017 7:41 am    Post subject: Reply with quote

It's probably happening bc u have qt4 and qt5 enabled, pick one.
Cmake might be working only for 1 of them probably ( I mean CMakeLists.txt, not cmake in general)
_________________
Installation aborted to prevent system self-destruction
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum